@import './abstracts/variables';
     
////БУГЕР МЕНЮ////

.header__btn {
	width: 44px;
	height: 37px;
	position: relative;
	z-index:2;
	overflow: hidden;
    background: $background-black;
    margin: 23px 0 23px 301px;
    @media (min-width: $bp-tablet){
        display: none;
}}

.header__btn span {
	width: 17px;
	height: 2px;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	background-color: white;
	transition: all 0.5s;
}

.header__btn span:nth-of-type(2) {
	top: calc(50% - 5px);
}
.header__btn span:nth-of-type(3) {
	top: calc(50% + 5px);
}

.header__btn.active span:nth-of-type(1) {
  display: none;
}
.header__btn.active span:nth-of-type(2) {
  top: 50%;
  transform: translate(-50%, 0%) rotate(45deg);  
}
.header__btn.active span:nth-of-type(3) {
  top: 50%;
  transform: translate(-50%, 0%) rotate(-45deg); 
}

.header__menu-mb {
	position: absolute;
	top: 60px;
	left: 164px;
	width: 182px;
height: 208px;
  background:  #F5F5F5;
	transform: translateX(400px);
	transition: transform 0.5s;
    @media (min-width: $bp-tablet){
        display: none;
}}


.header__menu-mb.active {
	transform: translateX(0);
}

.header__menu-mb li {
    list-style-type: none;
    font-weight: 400;
    font-size: 11px;
    line-height: 22px;
    text-transform: uppercase;
    padding: 4px 12px;

    &:hover{
        background: #E5E5E5;
    }
}

.header__menu-mb a{
    color: #4E4E4E;

    &:hover{
        color: #57A4A4;
    }
}

//////STYLES HEADER///////

.header{

&__menu{
    display: none;
}
    @media (min-width: $bp-tablet){
    display: block;

&__menu{
        display: flex;
        justify-content: center;
        gap: 34px;
        padding-top: 41px;
        padding-bottom: 43px;
        
    }

&__menu-link{
        font-weight: 400;
        font-size: 11px;
        line-height: 22px;
        text-transform: uppercase;

    }

        a{
        color: $main-color
    }

    &__menu-link:hover{
        color: #57A4A4;
    }
}

@media (min-width: $bp-desktop){
    display: block;
    &__menu{
        gap: 68px;
        padding-top: 45px;
        padding-bottom: 51px;
        
    }

    &__menu-link:hover{
        color: #57A4A4;
    }
}

&__menu_mobile {
    display: none;
    &-list {
      &:active {
        background-color: #E5E5E5;
      }
    }}
    &-link {
      text-transform: uppercase;
      color: #4E4E4E;
      font-size: 11px;
      font-weight: 400;
      line-height: 22px;
      padding: 5px 0 5px 13px;
      display: inline-block;
      width: 100%;
      &.active {
        color: #57A4A4
      }
      &:hover {
        background-color: #A3A3A3A3;
      }
    }

}